Name:       slock_menu
Version:    1
Release:    1
Summary:    XDG menu for slock
License:    MIT
BuildArch:  noarch
Requires:   xdg-utils


%description
slock menu entry

%prep
# we have no source, so nothing here

%build
cat > slock.desktop <<EOF
[Desktop Entry]
Name=Lock Screen
Comment=Lock Screen
Terminal=false
Type=Application
Exec=/usr/bin/slock
Categories=System
EOF

%install
mkdir -p %{buildroot}/usr/share/applications
install slock.desktop %{buildroot}/usr/share/applications/slock.desktop

%post
exec xdg-desktop-menu install --novendor /usr/share/applications/slock.desktop

%files
/usr/share/applications/slock.desktop
